Semantic search across training and knowledge base
curl --request POST \
--url https://api.open.cx/training/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 10,
"visibility": [],
"sourceTypes": [],
"dataSources": [],
"sortBy": "relevance",
"dateFrom": "<unknown>",
"dateTo": "<unknown>",
"include_content": true
}
'import requests
url = "https://api.open.cx/training/search"
payload = {
"query": "<string>",
"limit": 10,
"visibility": [],
"sourceTypes": [],
"dataSources": [],
"sortBy": "relevance",
"dateFrom": "<unknown>",
"dateTo": "<unknown>",
"include_content": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
limit: 10,
visibility: [],
sourceTypes: [],
dataSources: [],
sortBy: 'relevance',
dateFrom: '<unknown>',
dateTo: '<unknown>',
include_content: true
})
};
fetch('https://api.open.cx/training/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"title": "<string>",
"source_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"stream": "<string>",
"relevance_score": 50,
"directory_id": "<string>",
"directory_name": "<string>",
"usage_count": 0,
"content_preview": "<string>",
"content": "<string>",
"is_draft": true,
"restricted_to_segments": [
"<string>"
],
"restricted_to_channels": [
"<string>"
],
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
],
"total_count": 123
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}AI Training
Semantic search across training and knowledge base
Search across all training scenarios and knowledge base items using natural language.
POST
/
training
/
search
Semantic search across training and knowledge base
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 500Required range:
1 <= x <= 50Available options:
internal, public Available options:
custom_training, help_center, integration, website Available options:
confluence, notion, zendesk_support, shopify, gitbook, intercom, front, freshdesk, hubspot_kb, ai_instructions, custom_training, website Available options:
relevance, handoffs, citations Include the full content field in results. Set to false to reduce response size.
Was this page helpful?
⌘I